
import { request } from '@umijs/max';


export default {
    /**
     * 新增
     * @param parms 
     * @returns 
     */
    Add(parms: deviceProductParm.addInput) {
        return request('/api/deviceProductParm/add', {
            method: 'POST',
            data: {
                ...parms,
            },
        });
    },
    /**
    * 删除
    * @param parms 
    * @returns 
    */
    Del(parms: deviceProductParm.delInput) {
        return request(`/api/deviceProductParm/del`, {
            method: 'POST',
            data: {
                ...parms,
            },
        });
    },
    /**
     * 修改
     * @param parms 
     * @returns 
     */
    Update(parms: deviceProductParm.updateInput) {
        return request('/api/deviceProductParm/update', {
            method: 'POST',
            data: {
                ...parms,
            },
        });
    },
    /**
    * 详情
    * @param parms 
    * @returns 
    */
    Detail(id: string) {
        return request(`/api/deviceProductParm/detail?id=${id}`, {
            method: 'GET'
        });
    },
    /**
     * 获取列表
     * @param parms 
     * @returns 
     */
    List(parms: deviceProductParm.queryParms) {
        return request('/api/deviceProductParm/list', {
            method: 'POST',
            data: {
                ...parms,
            },
        });
    },
    /**
     * 分页查询
     * @param parms 
     * @returns 
     */
    PagedList(parms: deviceProductParm.queryPage) {
        return request('/api/deviceProductParm/pagedlist', {
            method: 'POST',
            data: {
                ...parms,
            },
        });
    },

}

